Summary:       A wrapper for privilege separation
Name:          uid_wrapper
Version:       1.3.0
Release:       2%{?dist}
License:       GPLv3+
Url:           http://cwrap.org/

Source0:       https://ftp.samba.org/pub/cwrap/%{name}-%{version}.tar.gz

Patch0001:     uid_wrapper-fix-cmocka-1.1.6+-support.patch

BuildRequires: gcc cmake gnupg2 libcmocka-devel
Recommends:    cmake pkgconfig

%description
Some projects like a file server need privilege separation to be able to switch to the connection
user and do file operations. uid_wrapper convincingly lies to the application letting it believe it
is operating as root and even switching between UIDs and GIDs as needed.

To use it set the following environment variables:

LD_PRELOAD=libuid_wrapper.so
UID_WRAPPER=1

This package doesn't have a devel package cause this project is for
development/testing.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake \
  -DUNIT_TESTING=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc AUTHORS README.md CHANGELOG
%{_libdir}/libuid_wrapper.so*
%dir %{_libdir}/cmake
%dir %{_libdir}/cmake/uid_wrapper
%{_libdir}/cmake/uid_wrapper/uid_wrapper-config-version.cmake
%{_libdir}/cmake/uid_wrapper/uid_wrapper-config.cmake
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/uid_wrapper.pc
%{_mandir}/man1/uid_wrapper.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 9 2023 Shuo Wang <abushwang@tencent.com> - 1.3.0-1
- update to 1.3.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.9-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 1.2.9-1
- initial build
